Gestiono

Create Passkey register start

← Back to full API reference
POST/v1/passkey/register/startAuth required

Request details

No path, query, or body parameters were captured for this endpoint.

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{}

Sample response

json
{
  "challenge": "<challenge>",
  "userId": "<toString>",
  "rpId": "<rpId>",
  "rpName": "<rpName>",
  "userName": "<value>",
  "userDisplayName": "<value>",
  "timeout": 60000,
  "attestation": "none",
  "pubKeyCredParams": [
    {
      "alg": "<value>",
      "type": "public-key"
    },
    {
      "alg": "<value>",
      "type": "public-key"
    }
  ],
  "authenticatorSelection": {
    "residentKey": "preferred",
    "userVerification": "preferred"
  },
  "excludeCredentials": "<excludeCredentials>"
}